<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FlexBox Ejemplo</title>
    <link rel="stylesheet" href="/css/flexbox.css">
</head>
<body>
    <center>
    <header>
        <h2>Ejemplo de FlexBox</h2>
    </header>
    <hr>
    <h1>Usando flex-wrap</h1>
    
    <section class="contenedorFlex">
        <div class="item">
            <p>0</p>
        </div>

        <div class="item">
            <p>1</p>
        </div>

        <div class="item">
            <p>2</p>
        </div>

        <div class="item">
            <p>3</p>
        </div>

        <div class="item">
            <p>4</p>
        </div>







    </section>
    <br>
    <h2>justify-content:center;</h2>
    <hr>
    <section class="contenedorFlexxd">
        <div class="item">
            <p>0</p>
        </div>

        <div class="item">
            <p>1</p>
        </div>

        <div class="item">
            <p>2</p>
        </div>

        <div class="item">
            <p>3</p>
        </div>

        <div class="item">
            <p>4</p>
        </div>







    </section>
    <br>
    <h2>justify-content:end;</h2>
    <hr>
    <section class="contenedorFlexdd">
        <div class="item">
            <p>0</p>
        </div>

        <div class="item">
            <p>1</p>
        </div>

        <div class="item">
            <p>2</p>
        </div>

        <div class="item">
            <p>3</p>
        </div>

        <div class="item">
            <p>4</p>
        </div>







    </section>
    <br>
    <h2>justify-content:start;</h2>
    <hr>
    <section class="contenedorFlexddw">
        <div class="item">
            <p>0</p>
        </div>

        <div class="item">
            <p>1</p>
        </div>

        <div class="item">
            <p>2</p>
        </div>

        <div class="item">
            <p>3</p>
        </div>

        <div class="item">
            <p>4</p>
        </div>







    </section>
</section>
<br>
<h2>justify-content:space-around;</h2>
<hr>
<section class="contenedorFlexdde">
    <div class="item">
        <p>0</p>
    </div>

    <div class="item">
        <p>1</p>
    </div>

    <div class="item">
        <p>2</p>
    </div>

    <div class="item">
        <p>3</p>
    </div>

    <div class="item">
        <p>4</p>
    </div>







</section>
<br>
<h2>justify-content:space-between;</h2>
<hr>
<section class="contenedorFlexddm">
    <div class="item">
        <p>0</p>
    </div>

    <div class="item">
        <p>1</p>
    </div>

    <div class="item">
        <p>2</p>
    </div>

    <div class="item">
        <p>3</p>
    </div>

    <div class="item">
        <p>4</p>
    </div>







</section>
<br>
<h2>wrap-reverse</h2>
<hr>
<section class="contenedorFlexwr">
    <div class="item">
        <p>0</p>
    </div>

    <div class="item">
        <p>1</p>
    </div>

    <div class="item">
        <p>2</p>
    </div>

    <div class="item">
        <p>3</p>
    </div>

    <div class="item">
        <p>4</p>
    </div>







</section>
<br>
<h2>Align-item</h2>
<hr>
<section class="contenedorFlexal">
    <div class="item">
        <p>0</p>
    </div>

    <div class="item">
        <p>1</p>
    </div>

    <div class="item">
        <p>2</p>
    </div>

    <div class="item">
        <p>3</p>
    </div>

    <div class="item">
        <p>4</p>
    </div>







</section>
<br>
<h2>Align-item:flex-end;</h2>
<hr>
<section class="contenedorFlexalend">
    <div class="item">
        <p>0</p>
    </div>

    <div class="item">
        <p>1</p>
    </div>

    <div class="item">
        <p>2</p>
    </div>

    <div class="item">
        <p>3</p>
    </div>

    <div class="item">
        <p>4</p>
    </div>







</section>
<br>
<h2>Align-item:center1;</h2>
<hr>
<section class="contenedorFlexnu">
    <div class="item">
        <p>0</p>
    </div>

</section>

</center>
</body>
</html>